petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPSetGuess

Set the initial guess object

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetGuess(KSP ksp,KSPGuess guess)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov context
| guess | - the object created with KSPGuessCreate()

### Notes

this allows a single KSP to be used with several different initial guess generators (likely for different linear solvers, see KSPSetPC()).

This increases the reference count of the guess object, you must destroy the object with KSPGuessDestroy() before the end of the program.

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix(), KSPSetUseFischerGuess(), KSPGetGuess()

### Level

advanced

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages